All Frameworks  Object Hierarchy  This Framework  Indexes   

HybridShapeFactory (Object)

Interface to create all kinds of HybridShape objects that may be needed in wireframe and surface design.

Note:
This interface concern GSD/GSO/DL1 feature creation via VB
Use of the creation methods requires to have granted license configuration for feature creation
i.e:
- Bump, Develop,WrapCurve,WrapSurface require GSO license.
- Unfold, Develop require DL1 license.
- Other require GSD license.
Note2:
For all methods creating datums AddNew*Datum,
the object passed as parameter to create the datum has to be in the current container.
Otherwise, an error occurs.

Method Index

AddNew3DCorner
Creates a new 3D Corner within the current body.
AddNew3DCurveOffset
Creates a 3D Curve Offset.
AddNewAffinity
Creates a new Affinity within the current body.
AddNewAxisLine
Creates a new AxisLine within the current body.
AddNewAxisToAxis
Creates a new axis to axis transformation within the current body.
AddNewBlend
Creates a new blend surface within the current body.
AddNewBoundaryOfSurface
Creates a Boundary within the current body.
AddNewBoundary
Creates a new Boundary within the current body.
AddNewBump
Creates a new Bump within the current body.
AddNewCircle2PointsRad
Creates a new Circle passing through 2 points with a radius within the current body.
AddNewCircle3Points
Creates a new circle passing through 3 points within the current body.
AddNewCircleBitangentPoint
Creates a new circle tangent to 2 curves and passing through one point within the current body.
AddNewCircleBitangentRadius
Creates a new circle tangent to 2 curves and with a radius within the current body.
AddNewCircleCenterAxisWithAngles
Creates a circle from point and axis.
AddNewCircleCenterAxis
Creates a circle from point and axis.
AddNewCircleCenterTangent
Creates a new circle with given center element and tangent curve.
AddNewCircleCtrPtWithAngles
Creates a new circle defined by its center, a passing point and angles within the current body.
AddNewCircleCtrPt
Creates a new whole circle defined by its center, a passing point within the current body.
AddNewCircleCtrRadWithAngles
Creates a new circle defined by its center, a radius and angles within the current body.
AddNewCircleCtrRad
Creates a new whole circle defined by its center and a radius within the current body.
AddNewCircleDatum
Creates a new datum of circle within the current body.
AddNewCircleTritangent
Creates a new tritangent circle within the current body.
AddNewCombine
Creates a new Combine within the current body.
AddNewConic
Creates a new conic within the current body.
AddNewConicalReflectLineWithType
Creates a new conical ReflectLine within the current body.
AddNewConnect
Creates a new Connect within the current body.
AddNewCorner
Creates a new Corner within the current body.
AddNewCurveDatum
Creates a new datum of curve within the current body.
AddNewCurvePar
Creates a new CurvePar within the current body.
AddNewCurveSmooth
Creates a new CurveSmooth within the current body.
AddNewCylinder
Creates a new Cylinder within the current body.
AddNewDatums
Creates datums from a multi-domain result feature, one datum is created by object domain.
AddNewDevelop
Creates a new Develop within the current body.
AddNewDirectionByCoord
Creates a new Direction specifed by coordinates within the current body.
AddNewDirection
Creates a new direction specified by an element within the current body.
AddNewEmptyRotate
Creates a new empty Rotate within the current body.
AddNewEmptyTranslate
Creates a new empty Translate within the current body.
AddNewExtractMulti
Creates a new Multiple Extract within the current body.
AddNewExtract
Creates a new Extract within the current body.
AddNewExtrapolLength
Creates a new Extrapol (specified by length) within the current body.
AddNewExtrapolUntil
Creates a new Extrapol (until an element) within the current body.
AddNewExtremumPolar
Creates a new Extremum Polar within the current body.
AddNewExtremum
Creates a new Extremum within the current body.
AddNewExtrude
Creates a new extrude within the current body.
AddNewFill
Creates a new Fill within the current body.
AddNewFilletBiTangent
Creates a new a sphere bitangent fillet between two skins.
AddNewFilletTriTangent
Creates a new a tritangent fillet between three skins.
AddNewHealing
Creates a new healing within the current body.
AddNewHelix
Creates a new Helix within the current body.
AddNewHybridScaling
Creates a new scaling within the current body.
AddNewHybridSplit
Creates a new Split within the current body.
AddNewHybridTrim
Creates a new Trim within the current body by cutting and joining two elements.
AddNewIntegratedLaw
Creates Integrated Law.
AddNewIntersection
Creates a new Intersection within the current body.
AddNewInverse
Creates a new Inverse within the current body.
AddNewJoin
Creates a new Join within the current body.
AddNewLawDistProj
Creates a new law within the current body.
AddNewLineAngle
Creates a new angle line within the current body.
AddNewLineBiTangent
Creates a new bitangent line within the current body.
AddNewLineBisectingOnSupportWithPoint
Creates a new bisecting line on a support with a atarting point within the current body.
AddNewLineBisectingOnSupport
Creates a new bisecting line on a support within the current body.
AddNewLineBisectingWithPoint
Creates a new bisecting line with a starting point within the current body.
AddNewLineBisecting
Creates a new bisecting line within the current body.
AddNewLineDatum
Creates a new datum of line within the current body.
AddNewLineNormal
Creates a new normal line within the current body.
AddNewLinePtDirOnSupport
Creates a new point-direction line within the current body.
AddNewLinePtDir
Creates a new point-direction line within the current body.
AddNewLinePtPtExtended
Creates a new point-point line with extensions within the current body.
AddNewLinePtPtOnSupportExtended
Creates a new point-point line with extensions and with support within the current body.
AddNewLinePtPtOnSupport
Creates a new point-point line with support within the current body.
AddNewLinePtPt
Creates a new point-point line within the current body.
AddNewLineTangencyOnSupport
Creates a new tangent line within the current body.
AddNewLineTangency
Creates a new tangent line within the current body.
AddNewLoft
Creates a new Loft within the current body.
AddNewNear
Creates a new Near within the current body.
AddNewOffset
Creates a new offset within the current body.
AddNewPlane1Curve
Creates a new plane passing through one planar curve within the current body.
AddNewPlane1Line1Pt
Creates a new plane passing through 1 line and 1 point within the current body.
AddNewPlane2Lines
Creates a new plane passing through 2 lines within the current body.
AddNewPlane3Points
Creates a new plane passing through 3 points within the current body.
AddNewPlaneAngle
Creates a new angle plane within the current body.
AddNewPlaneDatum
Creates a new datum of plane within the current body.
AddNewPlaneEquation
Creates a new equation plane within the current body.
AddNewPlaneMean
Creates a new mean through points plane within the current body.
AddNewPlaneNormal
Creates a new normal plane within the current body.
AddNewPlaneOffsetPt
Creates a new offset trough point plane within the current body.
AddNewPlaneOffset
Creates a new offset plane within the current body.
AddNewPlaneTangent
Creates a new tangent plane within the current body.
AddNewPointBetween
Creates a new PointBetween within the current body.
AddNewPointCenter
Creates a new circle center point within the current body.
AddNewPointCoordWithReference
Creates a new point defined its the cartesian coordinates regarding a reference point.
AddNewPointCoord
Creates a new point defined by its cartesian coordinates within the current body.
AddNewPointDatum
Creates a new datum of point within the current body.
AddNewPointOnCurveAlongDirection
Creates a new point on a curve with a deafult origin point and from a distance along direction.
AddNewPointOnCurveFromDistance
Creates a new point on a curve from a distance to an extremity within the current body.
AddNewPointOnCurveFromPercent
Creates a new point on a curve from a ratio of distance to an extremity within the current body.
AddNewPointOnCurveWithReferenceAlongDirection
Creates a new point on a curve with a reference point and from a distance along direction.
AddNewPointOnCurveWithReferenceFromDistance
Creates a new point on a curve with a reference point and from a distance within the current body.
AddNewPointOnCurveWithReferenceFromPercent
Creates a new point on a curve with a reference point and from a ratio of distance within the current body.
AddNewPointOnPlaneWithReference
Creates a new point on a plane with a reference point within the current body.
AddNewPointOnPlane
Creates a new point on a plane within the current body.
AddNewPointOnSurfaceWithReference
Creates a new point on a surface with a reference point within the current body.
AddNewPointOnSurface
Creates a new point on a surface within the current body.
AddNewPointTangent
Creates a new tangent to curve point within the current body.
AddNewPolyline
Creates a new Polyline within the current body.
AddNewPositionTransfo
Creates a new PositionTransfo within the current body.
AddNewProject
Creates a new Project within the current body.
AddNewReflectLineWithType
Creates a new ReflectLine within the current body.
AddNewReflectLine
AddNewRevol
Creates a new revolution within the current body.
AddNewRotate
Creates a new Rotate within the current body.
AddNewSection
Creates a new section.
AddNewSphere
Creates a new Sphere within the current body.
AddNewSpine
Creates a new spine within the current body.
AddNewSpiral
Creates a new Spiral within the current body.
AddNewSpline
Creates a new Spline within the current body.
AddNewSurfaceDatum
Creates a new datum of surface within the current body.
AddNewSweepCircle
Creates a new SweepCircle within the current body.
AddNewSweepConic
Creates a new SweepConic within the current body.
AddNewSweepExplicit
Creates a new SweepExplicit within the current body.
AddNewSweepLine
Creates a new SweepLine within the current body.
AddNewSymmetry
Creates a new Symmetry within the current body.
AddNewTransfer
Creates a new Transfer within the current body.
AddNewTranslate
Creates a new Translate within the current body.
AddNewUnfold
Creates a new Unfold within the current body.
AddNewVolumeDatum
Creates a new datum of volume within the current body.
AddNewWrapCurve
Creates a new Wrap Curve Surface within the current body.
AddNewWrapSurface
Creates a new Wrap Surface within the current body.
ChangeFeatureName
Set display name for Shape Design Features.
DeleteObjectForDatum
Deletes an object within the current body.
GSMVisibility
Set Visibility attribut for Shape Design Features.
GetGeometricalFeatureType
Returns type of "geometrical" shape Design feature .

Methods


o Func AddNew3DCorner( iElement1,
iElement2,
iDirection,
iRadius,
iOrientation1,
iOrientation2,
iTrim) As
Creates a new 3D Corner within the current body.
Create a 3D corner curve between a point and a curve or 2 curves along a direction.
Parameters:
iElement1
First reference curve.
iElement2
Second reference curve.
iDirection
Direction.
iRadius
Radius of the corner.
iOrientation1
Manage the corner center position. Value can be 1 or -1
iOrientation2
Manage the corner center position. Value can be 1 or -1
iTrim
Value can be FALSE or TRUE
if TRUE the 2 curves are trimed and asembled with the corner.
oCorner
Created corner.
o Func AddNew3DCurveOffset( iCurveToOffset,
iDirection,
iOffset,
iCornerRadius,
iCornerTension) As
Creates a 3D Curve Offset.
Parameters:
iCurve
The curve to offset
iDirection
Offset pulling direction.
iOffsetValue
Offset Value.
iCornerRadius
Radius of the 3D corners.
iCornerTension
Tension of the 3D corners.
Returns:
CATIGSM3DCurveOffset_var created 3DCurveOffset.
o Func AddNewAffinity( iElement,
iXRatio,
iYRatio,
iZRatio) As
Creates a new Affinity within the current body.
Parameters:
iElement
point, curve, surface or solid.
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.
iXRatio
Ratio of affinity in iX direction.
iYRatio
Ratio of affinity in iY direction.
iZRatio
Ratio of affinity in iZ direction.
oAffinity
Created affinity
o Func AddNewAxisLine( iElement) As
Creates a new AxisLine within the current body.
Parameters:
iElement
Circle, Ellipse, Oblong, Sphere, Revolution surface. Axis is computed for this element
oAxisLine
Created axis line
o Func AddNewAxisToAxis( iObject,
iReferenceAxis,
iTargetAxis) As
Creates a new axis to axis transformation within the current body.
Parameters:
iObject
Point, curve, surface or solid to transform.
iReferenceAxis
reference axis system
iTargetAxis
target axis system
oAxisToAxis
Created axis to axis transformation.
o Func AddNewBlend() As
Creates a new blend surface within the current body.
Parameters:
oBlend
The Blend object if succeded
o Func AddNewBoundaryOfSurface( Surface) As
Creates a Boundary within the current body.
Parameters:
iSurface
the feature on which all the boundaries will be computed
oBoundary
the whole boundary of the Surface given in first parameter
o Func AddNewBoundary( iInitialElement,
iSupport,
iTypedePropagation) As
Creates a new Boundary within the current body.
Parameters:
iInitialElement
the element used to initialise the propagation around the surface

Sub-element(s) supported (see
Boundary object): see BiDimFeatEdge.
iSupport
the surface used to compute the boundary around it

Sub-element(s) supported (see
Boundary object): see Face.
iTypedePropagation
Propagation type the values are: 0 for Boundary for all edges 1 for Boundary propagation for edges on connexe point 2 for Boundary propagation for edges tangent at point breaks 3 for Boundary not propagation from the current edge
oBoundary
The computed element
o Func AddNewBump( iBodyToBump) As
Creates a new Bump within the current body.
Note: require GSO license.
Parameters:
:
iBodyToBump Body to deform witn a Bump
:
oBump Bump result
o Func AddNewCircle2PointsRad( iPoint1,
iPoint2,
iSupport,
iGeodesic,
iRadius,
iOri) As
Creates a new Circle passing through 2 points with a radius within the current body.
Parameters:
iPoint1
first passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPoint2
second passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSupport
support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iGeodesic
Puts the circle on the surface.
iRadius
Value specified is considered as radius. To use this value as diameter, set DiameterMode using SetDiameterMode method
iOri
circle orientation. Defines the side where circle is computed using the normal direction of line between the 2 passing points.
oCircle
The Circle object if succeded
o Func AddNewCircle3Points( iPoint1,
iPoint2,
iPoint3) As
Creates a new circle passing through 3 points within the current body.
Parameters:
iPoint1
first passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPoint2
second passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPoint3
third passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
oCircle
Created circle
o Func AddNewCircleBitangentPoint( iCurve1,
iCurve2,
iPoint,
iSupport,
iOri1,
iOri2) As
Creates a new circle tangent to 2 curves and passing through one point within the current body.
Parameters:
iCurve1
first curve to which the circle will be tangent.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iCurve2
second curve to which the circle will be tangent.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iPoint
passing point. This point must lie on second curve.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSupport
support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iOri1
first curve orientation for circle computation.
iOri2
second curve orientation for circle computation.
oCircle
Created circle
o Func AddNewCircleBitangentRadius( iCurve1,
iCurve2,
iSupport,
iRadius,
iOri1,
iOri2) As
Creates a new circle tangent to 2 curves and with a radius within the current body.
Parameters:
iCurve1
first curve to which the circle will be tangent.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iCurve2
second curve to which the circle will be tangent.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iSupport
support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iRadius
Value specified is considered as radius. To use this value as diameter, set DiameterMode using SetDiameterMode method
iOri1
first curve orientation for circle computation.
iOri2
second curve orientation for circle computation.
oCircle
Created circle
o Func AddNewCircleCenterAxisWithAngles( iAxis,
iPoint,
iValue,
iProjection,
iStartAngle,
iEndAngle) As
Creates a circle from point and axis.
Parameters:
iAxis
Axis of plane in which circle is lying
Sub-element(s) supported (see
Boundary object):
iPoint
Point used for center computation. It will be the center if ProjectionMode is False. If ProjectionMode = True, this point will be projected on to axis/line
Sub-element(s) supported (see
Boundary object):
iValue
Value specified is considered as radius. To use this value as diameter, set DiameterMode property
iProjection
Sets Projection Mode. ProjectionMode = TRUE implies point will be projected on to axis/line, ProjectionMode = FALSE implies that point will be center of the circle.
iStartAngle
start angle
iEndAngle
end angle
oCircle
Created circle
o Func AddNewCircleCenterAxis( iAxis,
iPoint,
iValue,
iProjection) As
Creates a circle from point and axis.
Parameters:
iAxis
Axis of plane in which circle is lying
iPoint
Point used for center computation. It will be the center if ProjectionMode is False. If ProjectionMode = True, this point will be projected on to axis/line
iValue
Value specified is considered as radius. To use this value as diameter, set DiameterMode property
iProjection
Sets Projection Mode. ProjectionMode = TRUE implies point will be projected on to axis/line, ProjectionMode = FALSE implies that point will be center of the circle.
oCircle
Created circle
o Func AddNewCircleCenterTangent( iCenterElem,
iTangentCurve,
iSupport,
iRadius) As
Creates a new circle with given center element and tangent curve.
Parameters:
iCenterElem
Can be either curve or point.
iTangentCurve
Curve to which the circle will be tangent.
iSupport
support surface or plane.
iRadius
circle radius, valid only if center element is curve. Value specified is considered as radius. To use this value as diameter, set DiameterMode using SetDiameterMode method
oCircle
Created circle
o Func AddNewCircleCtrPtWithAngles( iCenter,
iCrossingPoint,
iSupport,
iGeodesic,
iStartAngle,
iEndAngle) As
Creates a new circle defined by its center, a passing point and angles within the current body.
Parameters:
iCenter
circle center.
Sub-element(s) supported (see
Boundary object): see Vertex.
iCrossingPoint
passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSupport
support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iGeodesic
Puts the circle on the surface.
iStartAngle
start angle
iEndAngle
end angle
oCircle
Created circle
o Func AddNewCircleCtrPt( iCenter,
iCrossingPoint,
iSupport,
iGeodesic) As
Creates a new whole circle defined by its center, a passing point within the current body.
Parameters:
iCenter
circle center.
Sub-element(s) supported (see
Boundary object): see Vertex.
iCrossingPoint
passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSupport
support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iGeodesic
Puts the circle on the surface.
oCircle
CreatedCircle
o Func AddNewCircleCtrRadWithAngles( iCenter,
iSupport,
iGeodesic,
iRadius,
iStartAngle,
iEndAngle) As
Creates a new circle defined by its center, a radius and angles within the current body.
Parameters:
iCenter
circle center.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSupport
support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iGeodesic
Puts the circle on the surface.
iRadius
Value specified is considered as radius. To use this value as diameter, set DiameterMode using SetDiameterMode method
iStartAngle
start angle
iEndAngle
end angle
oCircle
Created circle
o Func AddNewCircleCtrRad( iCenter,
iSupport,
iGeodesic,
iRadius) As
Creates a new whole circle defined by its center and a radius within the current body.
Parameters:
iCenter
circle center.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSupport
support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iGeodesic
Puts the circle on the surface.
iRadius
Value specified is considered as radius. To use this value as diameter, set DiameterMode using SetDiameterMode method
oCircle
Created circle
o Func AddNewCircleDatum( iObject) As
Creates a new datum of circle within the current body.
Parameters:
iObject
The object whose topological body will be duplicated and put into created datum
oCircle
Created datum Note2: the object passed as parameter to create the datum has to be in the current container. Otherwise, an error occurs.
o Func AddNewCircleTritangent( iCurve1,
iCurve2,
iCurve3,
iSupport,
iOri1,
iOri2,
iOri3) As
Creates a new tritangent circle within the current body.
Parameters:
iCurve1
first curve to which the circle will be tangent.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iCurve2
second curve to which the circle will be tangent.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iCurve3
third curve to which the circle will be tangent.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iSupport
support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iOri1
first curve orientation for circle computation.
iOri2
second curve orientation for circle computation.
iOri3
third curve orientation for circle computation.
oCircle
Created circle
o Func AddNewCombine( iFirstCurve,
iSecondCurve,
iNearestSolutions) As
Creates a new Combine within the current body. By default, the combine direction is the normal of each curve. If you want to change see CATIAHybridShapeCombine interfaces.
Parameters:
iFirstCurve
First curve to combine

Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iSecondCurve
Second curve to combine

Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iNearestSolution
If more than one solution, to choose the nearest solution of the first curve
oCombine
The combine object if succeded
o Func AddNewConic( iSupport,
iStartingPoint,
iEndPoint) As
Creates a new conic within the current body.
Parameters:
iSupport
The conic support (always a plane).
Sub-element(s) supported (see
Boundary object): see PlanarFace.
iStartingPoint
Starting Point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iEndPoint
End Point

Sub-element(s) supported (see
Boundary object): see Vertex.
oConic
The Conic object if succeded
o Func AddNewConicalReflectLineWithType( iSupport,
iOrigin,
iAngle,
iOrientationSupport,
iType) As
Creates a new conical ReflectLine within the current body.
Create a conical reflectline curve on a support surface from an origin point with an angle.
Parameters:
iSupport
Support surface.
iOrigin
Origin point.
iAngle
Angle of the reflectline.
iOrientationSupport
Manage the angle used to compute the reflectline. Value can be 1 or -1
iType
Manage the type used to compute the reflectline. Value can be 0 or 1 Returns or sets whether the reflectline curve is or should be created with the normal to the support or the tangent plane to the support.
Role: The TypeSolution indicates whether the created reflectline curve is compute with the angle between the normale to the support and the direction or with the angle between the tangent plane to the support and the direction..
Legal values: 0 for the normal and 1 for the tangent plane.
oReflectLine
Created conical reflectline.
o Func AddNewConnect( iCurve1,
iPoint1,
iOrient1,
iContinuity1,
iTension1,
iCurve2,
iPoint2,
iOrient2,
iContinuity2,
iTension2,
Trim) As
Creates a new Connect within the current body.
Parameters:
iCurve1
First curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iPoint1
First point (lying on the first curve)

Sub-element(s) supported (see
Boundary object): see Vertex.
iOrient1
Orientation on the first curve
iContinuity1
Continuity on first curve
iTension1
Tension on first curve
iCurve2
Second curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iPoint2
Second point (lying on the second curve)

Sub-element(s) supported (see
Boundary object): see Vertex.
iOrient2
Orientation on the second curve
iContinuity2
Continuity on second curve
iTension2
Tension on second curve
iTrim
Trim the two curves with the connect
oConnect
The connect object
o Func AddNewCorner( iElement1,
iElement2,
iSupport,
iRadius,
iOrientation1,
iOrientation2,
iTrim) As
Creates a new Corner within the current body.
Create a corner curve between a point and a curve or 2 curves on a support surface.
Parameters:
iElement1
First reference curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Vertex.
iElement2
Second reference curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Vertex.
iSupport
Support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iRadius
Radius of the corner.
iOrientation1
Manage the corner center position. Value can be 1 or -1
iOrientation2
Manage the corner center position. Value can be 1 or -1
iTrim
Value can be FALSE or TRUE
if TRUE the 2 curves are trimed and asembled with the corner.
oCorner
Created corner.
o Func AddNewCurveDatum( iObject) As
Creates a new datum of curve within the current body.
Parameters:
iObject
The object whose topological body will be duplicated and put into created datum
oCurve
Created curve Note2: the object passed as parameter to create the datum has to be in the current container. Otherwise, an error occurs.
o Func AddNewCurvePar( Curve,
Support,
Distance,
InvertDirection,
Geodesic) As
Creates a new CurvePar within the current body.
Parameters:
iCurve
Reference curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iSupport
Support on which the curve is lying on

Sub-element(s) supported (see
Boundary object): see Face.
iDistance
Distance value
iInvertDirection
Orientation
iGeodesic
Geodesic mode
oCurvePar
Parallel curve
o Func AddNewCurveSmooth( ipIACurve) As
Creates a new CurveSmooth within the current body.
Parameters:
iCurve
Reference curve to be smoothened
oCurveSmooth
Smoothened curve
o Func AddNewCylinder( iCenter,
iRadius,
iFirstLength,
iSecondLength,
iDirection) As
Creates a new Cylinder within the current body.
Parameters:
iCenter
Center of the Cylinder - Can be Point or Vertex.
Sub-element(s) supported (see
Vertex object):
iRadius
Radius of Cylinder.
iFirstLength
Length of Cylinder in the given direction.
iSecondLength
Length of Cylinder in the opposite direction.
iDirection
Direction of extrusion for Cylinder.
oCylinderObject
Created CylinderObjct.
o Func AddNewDatums( iElem) As
Creates datums from a multi-domain result feature, one datum is created by object domain.
Note; Available only for a shape design feature as input ( not for datum feature ).
Parameters:
iElem
Reference element
oArrayOfDatum
List of datum objects , one datum is created per omain
Level of availability = V5R14
Example:
This example converts a hybrid shape object in as much as datums that the original hybrid shape features contains of domain
  Dim HShape 
  Set reference   = part.CreateReferenceFromObject(hybridShapeObject)
  ' Convert to Datums 
  HShape = hybridShapeFactory.AddNewDatums reference  
  Num =UBound(HShape)
  For i = 0 to Num  
        hybridBody1.AppendHybridShape HShape (i) 
  Next 
  part.InWorkObject = HShape(num) 
  part.Update 
  ' Delete original feature 
  hybridShapeFactory.DeleteObjectForDatum reference
 
o Func AddNewDevelop( iMode,
iToDevelop,
iSupport) As
Creates a new Develop within the current body.
Note: require either DL1 or GSO license.
Parameters:
iMode
Develop method.
iToDevelop
Wire to be developed.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iSupport
Revolution support surface.
Sub-element(s) supported (see
Boundary object): see Face.
oExt
Created developed wire.
o Func AddNewDirectionByCoord( iX,
iY,
iZ) As
Creates a new Direction specifed by coordinates within the current body.
Parameters:
iX
X component
iY
Y component
iZ
Z component
oDirection
Created direction
o Func AddNewDirection( iElement) As
Creates a new direction specified by an element within the current body.
Parameters:
iElement
Line or plane specifying the direction. In case of plane, the plane normal vector is the direction

Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge, RectilinearBiDimFeatEdge and RectilinearMonoDimFeatEdge.
oDirection
Created direction.
o Func AddNewEmptyRotate() As
Creates a new empty Rotate within the current body.
o Func AddNewEmptyTranslate() As
Creates a new empty Translate within the current body.
o Func AddNewExtractMulti( Element) As
Creates a new Multiple Extract within the current body.
Parameters:
iElement
Initial element used to start the extraction

Sub-element(s) supported (see
Boundary object): see Boundary.
oExt
The extracted object
o Func AddNewExtract( Element) As
Creates a new Extract within the current body.
Parameters:
iElement
Initial element used to start the extraction

Sub-element(s) supported (see
Boundary object): see Boundary.
oExt
The extracted object
o Func AddNewExtrapolLength( iBoundary,
iToExtrapol,
iLength) As
Creates a new Extrapol (specified by length) within the current body.
Parameters:
iBoundary
Boundary point of curve to extrapolate or boundary curve of surface to extrapolate.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iToExtrapol
Curve or surface to extrapolate.
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.
iLength
Extrapolation length.
oExtrapol
Created Extrapolation.
o Func AddNewExtrapolUntil( iBoundary,
iToExtrapol,
iUntil) As
Creates a new Extrapol (until an element) within the current body.
Parameters:
iBoundary
Boundary point of curve to extrapolate or boundary curve of surface to extrapolate.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iToExtrapol
Curve or surface to extrapolate.
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.
iUntil
Extrapolation limit surface.
oExtrapol
Created Extrapolation.
o Func AddNewExtremumPolar( iType,
ipIAContour) As
Creates a new Extremum Polar within the current body.
Parameters:
iType
Type of extremum polar 0-Min Radius 1-Max Radius 2- Min Angle 3- Maximum Angle
ipIAContour
Extremum Polar Contour. It should be non convex
opIAExtPolar
The extremum polar object if succeded
o Func AddNewExtremum( iObjet,
iDir,
iMinMax) As
Creates a new Extremum within the current body.
Parameters:
iObjet
Element onto extremum is computed

Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Face.
iDir
Extremum direction
iMinMax
Maximum (GSMMax) or Minimum (GSMMin)
oExt
The extremum object if succeded
o Func AddNewExtrude( iObjectToExtrude,
iOffsetDebut,
iOffsetFin,
iDirection) As
Creates a new extrude within the current body.
Parameters:
iObjectToExtrude
Object to be extruded (point, line ,curve,or face)

Sub-element(s) supported (see
Boundary object): see Boundary.
iOffsetDebut
Length value
iOffsetFin
Length value ( iOffsetFin has to be larger than iOffsetDebut)
iDirection
Extrusion direction
oExtrudeObject
Extruded result
o Func AddNewFill() As
Creates a new Fill within the current body.
Parameters:
oFill
Fill object
o Func AddNewFilletBiTangent( iElement1,
iElement2,
iRadius,
iOrientation1,
iOrientation2,
iSupportsTrimMode,
iRibbonRelimitationMode) As
Creates a new a sphere bitangent fillet between two skins.
Parameters:
iElement1
First support of fillet.
Sub-element(s) supported (see
Boundary object): see Face.
iElement2
Second support of fillet.
Sub-element(s) supported (see
Boundary object): see Face.
iRadius
Radius of the fillet.
iOrientation1
Manage the fillet center position.
iOrientation2
Manage the fillet center position.
iSupportsTrimMode
The 2 supports can be trimmed and assembled with the fillet. Value can be 0 (No trim ) or 1 (Trim)
iRibbonRelimitationMode
Manage the relimition of fillet extremities. Value can be : 0 (Smooth), 1 (Straight), 2 (Maximum) or 3 (Minimum)
oFillet
Created fillet.
o Func AddNewFilletTriTangent( iElement1,
iElement2,
iRemoveElem,
iOrientation1,
iOrientation2,
iRemoveOrientation,
iSupportsTrimMode,
iRibbonRelimitationMode) As
Creates a new a tritangent fillet between three skins.
Parameters:
iElement1
First support of fillet.
Sub-element(s) supported (see
Boundary object): see Face.
iElement2
Second support of fillet.
Sub-element(s) supported (see
Boundary object): see Face.
iRemoveElem
Support to remove of fillet.
Sub-element(s) supported (see
Boundary object): see Face.
iOrientation1
Manage the fillet center position.
iOrientation2
Manage the fillet center position.
iRemoveOrientation
Manage the fillet center position.
iSupportsTrimMode
The 2 supports can be trimmed and assembled with the fillet. Value can be 0 (No trim ) or 1 (Trim)
iRibbonRelimitationMode
Manage the relimition of fillet extremities. Value can be : 0 (Smooth), 1 (Straight), 2 (Maximum) or 3 (Minimum)
oFillet
Created fillet.
o Func AddNewHealing( iBodyToheal) As
Creates a new healing within the current body.
Parameters:
iBodyToHeal
The body to heal
oHealing
The created healing
o Func AddNewHelix( iAxis,
iInvertAxis,
iStartingPoint,
iPitch,
iHeight,
iClockwiseRevolution,
iStartingAngle,
iTaperAngle,
iTaperOutward) As
Creates a new Helix within the current body.
Parameters:
iAxis
The helix axis (always a line).
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iInvertAxis
iStartingPoint
Starting Point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPitch
Pitch.
iHeight
Helix height.
iClockwiseRevolution
Revolutions are clockwise if TRUE, counterclockwise if FALSE.
iStartingAngle
Starting angle from starting point measured on the helix itself. If no starting angle is wanted, set it to 0.0.
iTaperAngle
0 <= Taper Angle < Pi/2 If no taper angle is wanted, set it to 0.0 (constant helix radius).
iTaperOutward
Helix radius increases if TRUE, decreases if FALSE.
oHelix
The Helix object if succeded
o Func AddNewHybridScaling( iElemToScale,
iCenter,
iRatio) As
Creates a new scaling within the current body.
Parameters:
iElemToScale
Point, curve, surface or solid to transform.
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.
iCenter
Reference point or reference plane.
Sub-element(s) supported (see
Boundary object): see PlanarFace and Vertex.
iRatio
Scaling ratio.
oScaling
Created scaling.
o Func AddNewHybridSplit( iElement1,
iElement2,
iOrientation) As
Creates a new Split within the current body.
Parameters:
iElement1
The feature to cut (curve or surface).
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.
iElement2
The cutting feature (point, curve, surface).
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.
iOrientation
Manage the kept side of the feature to cut (value can be 1 or -1)
oSplit
Created split
o Func AddNewHybridTrim( iElement1,
iOrientation1,
iElement2,
iOrientation2) As
Creates a new Trim within the current body by cutting and joining two elements.
You can trim a surface by a surface or a curve by a curve.
Parameters:
iElement1
The feature to trim (curve or surface).
iOrientation1
Manage the kept side of iElement1 (value can be 1 or -1).
iElement2
The second feature to trim (curve or surface).
iOrientation2
Manage the kept side of iElement2 (value can be 1 or -1).
oTrim
Created trim.
o Func AddNewIntegratedLaw( iType) As
Creates Integrated Law.
Parameters:
iType
Type of law = 0 : None = 1 : Constant = 2 : Linear = 3 : SType = 4 : Advanced = 5 : Implicit
o Func AddNewIntersection( iObject1,
iObject2) As
Creates a new Intersection within the current body.
Parameters:
iObject1
First element ( line, curve, plane, surface.
Sub-element(s) supported (see
Boundary object): see Face, RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iObject2
Second element ( line , curve, plane, surface.
Sub-element(s) supported (see
Boundary object): see Face, RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
oIntersection
Intersection
o Func AddNewInverse( Element,
Inverse) As
Creates a new Inverse within the current body.
Parameters:
iElement
The objet to inverse
iInverse
the type of inversion (see CATGSMOrientation.h) 1 for no inversion -1 for inversion
oInv
The inverted object
o Func AddNewJoin( Element1,
Element2) As
Creates a new Join within the current body.
Parameters:
iElement1
First element to join ( curve or surface.
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.
iElement2
Second element to join ( same type of the first element)

Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.
oExt
Join result The default value used to join element is 0.001mm
o Func AddNewLawDistProj( iReference,
iDefinition) As
Creates a new law within the current body.
Parameters:
iReference
Reference line of the law.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iDefinition
Definition curve of the law.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
oLaw
The Law object if succeded
o Func AddNewLineAngle( iCurve,
iSurface,
iPoint,
iGeodesic,
iBeginOffset,
iEndOffset,
iAngle,
iOrientation) As
Creates a new angle line within the current body.
Parameters:
iCurve
Reference curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iSurface
Reference surface.
Sub-element(s) supported (see
Boundary object): see Face.
iPoint
reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iGeodesic
Puts the line on the surface
iBeginOffset
start offset
iEndOffset
end offset
iAngle
angle to reference curve
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLineBiTangent( iCurve1,
iElement2,
iSupport) As
Creates a new bitangent line within the current body.
Parameters:
iCurve1
First tangency curve lying on the support surface.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iCurve2
Second tangency element (point, curve) lying on the support surface.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Vertex.
iSupport
The support surface of the two elements.
Sub-element(s) supported (see
Boundary object): see Face.
oLine
Created line
o Func AddNewLineBisectingOnSupportWithPoint( iLine1,
iLine2,
iRefPoint,
iSurface,
iBeginOffset,
iEndOffset,
iOrientation,
SolutionNb) As
Creates a new bisecting line on a support with a atarting point within the current body.
Parameters:
iLine1
First line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iLine2
Second line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iRefPoint
Starting point of the bisecting line.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSurface
Reference surface.
Sub-element(s) supported (see
Boundary object): see Face.
iBeginOffset
start offset
iEndOffset
end offset
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLineBisectingOnSupport( iLine1,
iLine2,
iSurface,
iBeginOffset,
iEndOffset,
iOrientation,
SolutionNb) As
Creates a new bisecting line on a support within the current body.
Parameters:
iLine1
First line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iLine2
Second line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iSurface
Reference surface.
Sub-element(s) supported (see
Boundary object): see Face.
iBeginOffset
start offset
iEndOffset
end offset
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLineBisectingWithPoint( iLine1,
iLine2,
iRefPoint,
iBeginOffset,
iEndOffset,
iOrientation,
SolutionNb) As
Creates a new bisecting line with a starting point within the current body.
Parameters:
iLine1
First line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iLine2
Second line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iRefPoint
Starting point of the bisecting line.
Sub-element(s) supported (see
Boundary object): see Vertex.
iBeginOffset
start offset
iEndOffset
end offset
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLineBisecting( iLine1,
iLine2,
iBeginOffset,
iEndOffset,
iOrientation,
SolutionNb) As
Creates a new bisecting line within the current body.
Parameters:
iLine1
First line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iLine2
Second line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge and RectilinearBiDimFeatEdge.
iBeginOffset
start offset
iEndOffset
end offset
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLineDatum( iObject) As
Creates a new datum of line within the current body.
Parameters:
iObject
The object whose topological body will be duplicated and put into created datum
oLine
Created datum Note2: the object passed as parameter to create the datum has to be in the current container. Otherwise, an error occurs.
o Func AddNewLineNormal( iSurface,
iPoint,
iBeginOffset,
iEndOffset,
iOrientation) As
Creates a new normal line within the current body.
Parameters:
iSurface
Reference surface.
Sub-element(s) supported (see
Boundary object): see Face.
iPoint
Reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iBeginOffset
start offset
iEndOffset
end offset
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLinePtDirOnSupport( iPt,
iDirection,
iSupport,
iBeginOffset,
iEndOffset,
iOrientation) As
Creates a new point-direction line within the current body.
Parameters:
iPt
reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iDirection
Direction
iSupport
Support element (surface or plane)

Sub-element(s) supported (see
Boundary object): see Face.
iBeginOffset
start offset
iEndOffset
end offset
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLinePtDir( iPt,
iDirection,
iBeginOffset,
iEndOffset,
iOrientation) As
Creates a new point-direction line within the current body.
Parameters:
iPt
reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iDirection
Direction
iBeginOffset
start offset
iEndOffset
end offset
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLinePtPtExtended( iPtOrigine,
iPtExtremite,
iBeginOffset,
iEndOffset) As
Creates a new point-point line with extensions within the current body.
Parameters:
iPtOrigine
Origin point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPtExtremite
Extremity point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iBeginOffset
start offset
iEndOffset
end offset
oLine
Created line
o Func AddNewLinePtPtOnSupportExtended( iPtOrigine,
iPtExtremite,
iSupport,
iBeginOffset,
iEndOffset) As
Creates a new point-point line with extensions and with support within the current body.
Parameters:
iPtOrigine
Origin point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPtExtremite
Extremity point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSupport
Support element (surface or plane)

Sub-element(s) supported (see
Boundary object): see Face.
iBeginOffset
start offset
iEndOffset
end offset
oLine
Created line
o Func AddNewLinePtPtOnSupport( iPtOrigine,
iPtExtremite,
iSupport) As
Creates a new point-point line with support within the current body.
Parameters:
iPtOrigine
Origin point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPtExtremite
Extremity point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSupport
Support element (surface or plane)

Sub-element(s) supported (see
Boundary object): see Face.
oLine
Created line
o Func AddNewLinePtPt( iPtOrigine,
iPtExtremite) As
Creates a new point-point line within the current body.
Parameters:
iPtOrigine
Origin point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPtExtremite
Extremity point.
Sub-element(s) supported (see
Boundary object): see Vertex.
oLine
Created line
o Func AddNewLineTangencyOnSupport( iCurve,
iPoint,
iSupport,
iBeginOffset,
iEndOffset,
iOrientation) As
Creates a new tangent line within the current body.
Parameters:
iCurve
Reference curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iPoint
Reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iSupport
Support element (surface or plane)

Sub-element(s) supported (see
Boundary object): see Face.
iBeginOffset
start offset
iEndOffset
end offset
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLineTangency( iCurve,
iPoint,
iBeginOffset,
iEndOffset,
iOrientation) As
Creates a new tangent line within the current body.
Parameters:
iCurve
Reference curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iPoint
Reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iBeginOffset
start offset
iEndOffset
end offset
iOrientation
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.
oLine
Created line
o Func AddNewLoft() As
Creates a new Loft within the current body.
Parameters:
oExt
CATIAHybridShapeLoft created
o Func AddNewNear( MultiElement,
ReferenceElement) As
Creates a new Near within the current body.
Parameters:
iMultiElement
Non connex element (point,curve,surface.
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.
iReferenceElement
Reference element

Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.
oNear
The result is the connex component that is the nearest from the reference element
o Func AddNewOffset( iObjectToOffset,
iOffset,
iOrientation,
iPrecision) As
Creates a new offset within the current body.
Parameters:
iObjectToOffset
Surface to offset.
Sub-element(s) supported (see
Boundary object): see Face.
iOffset
Offset value
iOrientation
Offset orientation
iPrecision
This variable is no longer in use and any change in it's value does not impact the output
oOffsetObject
Offset Surface
o Func AddNewPlane1Curve( iPlanarCurve) As
Creates a new plane passing through one planar curve within the current body.
Parameters:
iPlanarCurve
passing curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
oPlane
Created plane
o Func AddNewPlane1Line1Pt( iLn,
iPt) As
Creates a new plane passing through 1 line and 1 point within the current body.
Parameters:
iLn
passing line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge, RectilinearBiDimFeatEdge and RectilinearMonoDimFeatEdge.
iPt
passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
oPlane
Created plane
o Func AddNewPlane2Lines( iLn1,
iLn2) As
Creates a new plane passing through 2 lines within the current body.
Parameters:
iLn1
first passing line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge, RectilinearBiDimFeatEdge and RectilinearMonoDimFeatEdge.
iLn2
second passing line.
Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge, RectilinearBiDimFeatEdge and RectilinearMonoDimFeatEdge.
oPlane
Created line
o Func AddNewPlane3Points( iPt1,
iPt2,
iPt3) As
Creates a new plane passing through 3 points within the current body.
Parameters:
iPt1
first passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPt2
second passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPt3
third passing point.
Sub-element(s) supported (see
Boundary object): see Vertex.
oPlane
Created plane
o Func AddNewPlaneAngle( iPlane,
iRevolAxis,
iAngle,
iOrientation) As
Creates a new angle plane within the current body.
Parameters:
iPlane
reference plane

Sub-element(s) supported (see
Boundary object): see PlanarFace.
iRevolAxis
rotation axis

Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge, RectilinearBiDimFeatEdge and RectilinearMonoDimFeatEdge.
iAngle
angle
iOrientation
Orientation to reverse the plane from the reference plane.
oPlane
Created plane
o Func AddNewPlaneDatum( iObject) As
Creates a new datum of plane within the current body.
Parameters:
iObject
The object whose topological body will be duplicated and put into created datum
oPlane
Created datum Note2: the object passed as parameter to create the datum has to be in the current container. Otherwise, an error occurs.
o Func AddNewPlaneEquation( iA_Coeff,
iB_Coeff,
iC_Coeff,
iD_Coeff) As
Creates a new equation plane within the current body. Plane equation is Ax+By+Cz = D.
Parameters:
iA_Coeff
A coefficient
iB_Coeff
B coefficient
iC_Coeff
C coefficient
iD_Coeff
D coefficient
oPlane
Created plane
o Func AddNewPlaneMean( iListOfPoints,
NbPoint) As
Creates a new mean through points plane within the current body.
Parameters:
oIListOfPoints
list of passing points Warning : Input and Output parameter for CATScript applications, procedural type
iNbPoint
Number of points
oPlane
Created plane
o Func AddNewPlaneNormal( iCurve,
iPt) As
Creates a new normal plane within the current body.
Parameters:
iCurve
Reference curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iPt
Reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
oPlane
Created plane
o Func AddNewPlaneOffsetPt( iPlane,
iPt) As
Creates a new offset trough point plane within the current body.
Parameters:
iPlane
reference plane

Sub-element(s) supported (see
Boundary object): see PlanarFace.
iPt
Reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
oPlane
Created plane
o Func AddNewPlaneOffset( iPlane,
iOffset,
iOrientation) As
Creates a new offset plane within the current body.
Parameters:
iPlane
reference plane

Sub-element(s) supported (see
Boundary object): see PlanarFace.
iOffset
offset value
iOrientation
Orientation to reverse the plane from the reference plane.
oPlane
Created plane
o Func AddNewPlaneTangent( iSurface,
iPt) As
Creates a new tangent plane within the current body.
Parameters:
iSurface
reference surface.
Sub-element(s) supported (see
Boundary object): see Face.
iPt
reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
oPlane
Created plane
o Func AddNewPointBetween( iPoint1,
iPoint2,
iRatio,
iOrientation) As
Creates a new PointBetween within the current body.
Parameters:
iPoint1
Reference point to compute the barycenter.
Sub-element(s) supported (see
Boundary object): see Vertex.
iPoint2
Second point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iRatio
barycenter parameter
iOrientation
To compute the barycenter of the segment [Pt1 - Pt2]
oPoint
PointBetween if succeded
o Func AddNewPointCenter( iCurve) As
Creates a new circle center point within the current body.
Parameters:
iCurve
Reference circle

Sub-element(s) supported (see
Boundary object): see Edge.
oPoint
Created point
o Func AddNewPointCoordWithReference( iX,
iY,
iZ,
iPt) As
Creates a new point defined its the cartesian coordinates regarding a reference point.
Parameters:
iX
X coordinate for the point
iY
Y coordinate for the point
iZ
Z coordinate for the point
iPt
Reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
oPoint
Created point
o Func AddNewPointCoord( iX,
iY,
iZ) As
Creates a new point defined by its cartesian coordinates within the current body.
Parameters:
iX
X coordinate for the point
iY
Y coordinate for the point
iZ
Z coordinate for the point
oPoint
Created point
o Func AddNewPointDatum( iObject) As
Creates a new datum of point within the current body.
Parameters:
iObject
The object whose topological body will be duplicated and put into created datum
oPoint
Created datum Note2: the object passed as parameter to create the datum has to be in the current container. Otherwise, an error occurs.
o Func AddNewPointOnCurveAlongDirection( iCrv,
iLong,
iOrientation,
iDirection) As
Creates a new point on a curve with a deafult origin point and from a distance along direction.
Parameters:
iCrv
support curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iLong
distance to default origin point.(origin of acurrent axis system)
iOrientation
Orientation = TRUE means that distance is measured in the other orientation of the curve.
iDirection
Direction = The distance at which point is created is measured in this direction.
oPoint
Created point
o Func AddNewPointOnCurveFromDistance( iCrv,
iLong,
iOrientation) As
Creates a new point on a curve from a distance to an extremity within the current body.
Parameters:
iCrv
support curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iLong
distance to extremity
iOrientation
Orientation = TRUE means that distance is measured in the other orientation of the curve and from the other extremity.
oPoint
Created point
o Func AddNewPointOnCurveFromPercent( iCrv,
iLong,
iOrientation) As
Creates a new point on a curve from a ratio of distance to an extremity within the current body.
Parameters:
iCrv
support curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iLong
Ratio of curve length
iOrientation
Orientation = TRUE means that ratio is measured in the other orientation of the curve and from the other extremity.
oPoint
Created point
o Func AddNewPointOnCurveWithReferenceAlongDirection( iCrv,
iPt,
iLong,
iOrientation,
iDirection) As
Creates a new point on a curve with a reference point and from a distance along direction.
Parameters:
iCrv
support curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iPt
reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iLong
distance (length) to reference point
iOrientation
Orientation = TRUE means that distance is measured in the other orientation of the curve
iDirection
Direction = The distance at which point is created is measured in this direction.
oPoint
Created point
o Func AddNewPointOnCurveWithReferenceFromDistance( iCrv,
iPt,
iLong,
iOrientation) As
Creates a new point on a curve with a reference point and from a distance within the current body.
Parameters:
iCrv
support curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iPt
reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iLong
distance (length) to reference point
iOrientation
Orientation = TRUE means that distance is measured in the other orientation of the curve
oPoint
Created point
o Func AddNewPointOnCurveWithReferenceFromPercent( iCrv,
iPt,
iLong,
iOrientation) As
Creates a new point on a curve with a reference point and from a ratio of distance within the current body.
Parameters:
iCrv
Support curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iPt
reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iLong
Ratio of curve length
iOrientation
Orientation = TRUE means that ratio is measured in the other orientation of the curve
oPoint
Created point
o Func AddNewPointOnPlaneWithReference( iPlane,
iPt,
iX,
iY) As
Creates a new point on a plane with a reference point within the current body.
Parameters:
iPlane
Support plane

Sub-element(s) supported (see
Boundary object): see PlanarFace.
iPt
Reference plane

Sub-element(s) supported (see
Boundary object): see Vertex.
iX
X cartesian coordinates in the plane.
iY
Y cartesian coordinates in the plane.
oPoint
Created point
o Func AddNewPointOnPlane( iPlane,
iX,
iY) As
Creates a new point on a plane within the current body.
Parameters:
iPlane
Support plane

Sub-element(s) supported (see
Boundary object): see PlanarFace.
iX
X cartesian coordinates in the plane.
iY
Y cartesian coordinates in the plane.
oPoint
Created point
o Func AddNewPointOnSurfaceWithReference( iSurface,
iPt,
iDirection,
iX) As
Creates a new point on a surface with a reference point within the current body.
Parameters:
iSurface
Support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iPt
reference point.
Sub-element(s) supported (see
Boundary object): see Vertex.
iDirection
Direction from the reference point in which the point is computed.
iX
geodesic length to reference point
oPoint
Created point
o Func AddNewPointOnSurface( iSurface,
iDirection,
iX) As
Creates a new point on a surface within the current body.
Parameters:
iSurface
Support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iDirection
Direction from the reference point in which the point is computed.
iX
geodesic length to reference point
oPoint
Created point
o Func AddNewPointTangent( iCurve,
iDirection) As
Creates a new tangent to curve point within the current body.
Parameters:
iCurve
Reference curve.
Sub-element(s) supported (see
Boundary object): see Edge.
iDirection
Direction in which tangent points are computed
oPoint
Created point
o Func AddNewPolyline() As
Creates a new Polyline within the current body.
Parameters:
oPolyline
The Polyline object if succeded
o Func AddNewPositionTransfo( iMode) As
Creates a new PositionTransfo within the current body.
Parameters:
iMode
Positioning mode.
oExt
Created positioning transformation (i.e. positioned wire / profile).
o Func AddNewProject( iElement,
iSupport) As
Creates a new Project within the current body.
Parameters:
iElement
Element to project (point, curve).
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Vertex.
iSupport
Curve or surface support for projection.
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.
oProjection
Created projection
o Func AddNewReflectLineWithType( iSupport,
iDir,
iAngle,
iOrientationSupport,
iOrientationDirection,
iType) As
Creates a new ReflectLine within the current body.
Create a reflectline curve on a support surface along a direction with an angle.
Parameters:
iSupport
Support surface.
iAngle
Angle of the reflectline.
iOrientationSupport
Manage the angle used to compute the reflectline. Value can be 1 or -1
iOrientationDirection
Manage the angle used to compute the reflectline. Value can be 1 or -1
iType
Manage the type used to compute the reflectline. Value can be 0 or 1 Returns or sets whether the reflectline curve is or should be created with the normal to the support or the tangent plane to the support.
Role: The TypeSolution indicates whether the created reflectline curve is compute with the angle between the normale to the support and the direction or with the angle between the tangent plane to the support and the direction..
Legal values: 0 for the normal and 1 for the tangent plane.
oReflectLine
Created reflectline.
o Func AddNewReflectLine( iSupport,
iDir,
iAngle,
iOrientationSupport,
iOrientationDirection) As
Deprecated:
V5R17 CATIAHybridShapeFactory#AddNewReflectLineWithType Creates a new ReflectLine within the current body.
Create a reflectline curve on a support surface along a direction with an angle.
Parameters:
iSupport
Support surface.
Sub-element(s) supported (see
Boundary object): see Face.
iAngle
Angle of the reflectline.
iOrientationSupport
Manage the angle used to compute the reflectline. Value can be 1 or -1
iOrientationDirection
Manage the angle used to compute the reflectline. Value can be 1 or -1
oReflectLine
Created reflectline.
o Func AddNewRevol( iObjectToExtrude,
iOffsetDebut,
iOffsetFin,
iAxis) As
Creates a new revolution within the current body.
Parameters:
iObjectToExtrude
Profile to be revolved

Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.
iOffsetDebut
Angle value
iOffsetFin
Angle value
iAxis
Revolution axis ( line that has to be in the profil plane

Sub-element(s) supported (see
Boundary object): see RectilinearTriDimFeatEdge, RectilinearBiDimFeatEdge and RectilinearMonoDimFeatEdge.
oRevolObject
Revolved result
o Func AddNewRotate( iToRotate,
iAxis,
iAngle) As
Creates a new Rotate within the current body.
Parameters:
iToRotate
point, curve, surface or solid to transform.
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.
iAxis
Rotation axis.
Sub-element(s) supported (see
Boundary object): see Edge.
iAngle
Rotation angle.
oRotate
Created rotation.
o Func AddNewSection() As
Creates a new section.
Parameters:
oSection
Created Section
o Func AddNewSphere( iCenter,
iAxis,
iRadius,
iBeginParallelAngle,
iEndParallelAngle,
iBeginMeridianAngle,
iEndMeridianAngle) As
Creates a new Sphere within the current body.
Parameters:
iCenter
Sphere center.
Sub-element(s) supported (see
Boundary object): see Vertex.
iAxis
Sphere axis
iRadius
Radius
iBeginParallelAngle
Angle value
iEndParallelAngle
Angle value
iBeginMeridianAngle
Angle value
iEndMeridianAngle
Angle value
oSphereObject
Sphere result
o Func AddNewSpine() As
Creates a new spine within the current body.
Parameters:
oExt
CATIAHybridShapeSpine created
o Func AddNewSpiral( iType,
iSupport,
iCenterPoint,
iAxis,
iStartingRadius,
iClockwiseRevolution) As
Creates a new Spiral within the current body.
Parameters:
iType
Spiral is defined by AngleRadius, AnglePitch or PitchRadius.
iSupport
Spiral planar support.
iCenterPoint
Center point.
iAxis
Axis.
iStartingRadius
Defines the starting point: distance from the center point on the axis.
iClockwiseRevolution
Revolutions are clockwise if TRUE, counterclockwise if FALSE.
oSpiral
The Spiral object if succeded
o Func AddNewSpline() As
Creates a new Spline within the current body.
Parameters:
oSpline
Created spline.
o Func AddNewSurfaceDatum( iObject) As
Creates a new datum of surface within the current body.
Parameters:
iObject
The object whose topological body will be duplicated and put into created datum
oSurface
Created surface Note2: the object passed as parameter to create the datum has to be in the current container. Otherwise, an error occurs.
o Func AddNewSweepCircle( iGuide1) As
Creates a new SweepCircle within the current body.
Parameters:
iGuide1
First guide or center curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
oExt
Created swept surface.
o Func AddNewSweepConic( ipIAGuide1) As
Creates a new SweepConic within the current body.
Parameters:
iGuide1
First guide curve.
opIASweepConic
Created swept surface.
o Func AddNewSweepExplicit( iProfile,
iGuide) As
Creates a new SweepExplicit within the current body.
Parameters:
iProfile
Profile.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
iGuide
First guide curve.
Sub-element(s) supported (see
Boundary object): see TriDimFeatEdge and BiDimFeatEdge.
oExt
Created swept surface.
o Func AddNewSweepLine( iGuide1) As
Creates a new SweepLine within the current body.
Parameters:
iGuide1
First guide curve.
oExt
Created swept surface.
o Func AddNewSymmetry( iObject,
iReference) As
Creates a new Symmetry within the current body.
Parameters:
iObject
Point, curve, surface or solid to transform.
Sub-element(s) supported (see
Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.
iReference
Point, line or reference plane.
Sub-element(s) supported (see
Boundary object): see PlanarFace, Edge and Vertex.
oSymmetry
Created symmetry.
o Func AddNewTransfer( iElementToTransfer,
iTypeOfTransfer) As
Creates a new Transfer within the current body.
Note: require DL1 license.
Parameters:
iElementToTransfer
The element to transfer
iTypeOfTransfer
The type of transfer
oExt
Created Transfer operation.
o Func AddNewTranslate( iElement,
iDirection,
iDistance) As
Creates a new Translate within the current body.
Parameters:
iElement
Point, curve, surface or solid to translate.
iDirection
Translation direction.
iDistance
Translation Distance.
oTranslate
Created translation
oTranslate
Created Translate (Empty feature)
Note: Then translate mode and inputs has to be initialized
See also:
HybridShapeTranslate
o Func AddNewUnfold() As
Creates a new Unfold within the current body.
Note: require DL1 license.
Parameters:
oExt
Created unfold operation.
o Func AddNewVolumeDatum( iObject) As
Creates a new datum of volume within the current body.
Note: requires GSO License
Parameters:
iObject
The object whose topological body will be duplicated and put into created datum
oVolume
Created Volume Note2: the object passed as parameter to create the datum has to be in the current container. Otherwise, an error occurs.
o Func AddNewWrapCurve() As
Creates a new Wrap Curve Surface within the current body.
Note: require GSO license.
Parameters:
oWrapCurve
The Wrap Curve object if succeded
o Func AddNewWrapSurface( iBodyToDeform) As
Creates a new Wrap Surface within the current body.
Note: require GSO license.
Parameters:
:
iBodyToDeform Body to deform with a Wrap Surface
oWrapSurface
The Wrap Surface object if succeded
o Sub ChangeFeatureName( iElem,
Name)
Set display name for Shape Design Features.
Parameters:
iElem
Element to rename
Name
User name
o Sub DeleteObjectForDatum( iObject)
Deletes an object within the current body.
Parameters:
iObject
Object to delete
o Sub GSMVisibility( iElem,
Show)
Set Visibility attribut for Shape Design Features.
Parameters:
iElem
Element to show/NoShow
Show
= 0 NoShow , 1= Show
o Func GetGeometricalFeatureType( iElem) As
Returns type of "geometrical" shape Design feature .
Parameters:
iElem
Reference element
oType
Type of feature = 0 , Unknown = 1 , Point = 2 , Curve = 3 , Line = 4 , Circle = 5 , Surface = 6 , Plane = 7 , Solid, Volume
Level of availability = V5R14

Copyright © 2003, Dassault Systèmes. All rights reserved.